Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.mobile
Class IrMCVCardObject

    java.lang.Object
      local.tomas.mobile.sync.obj.mobile.IrMCSyncObject
          local.tomas.mobile.sync.obj.mobile.IrMCVCardObject

All Implemented Interfaces:
  SyncObject

Direct Known Subclasses:
  IrMCContact, IrMCEvent, IrMCTask

    public abstract class IrMCVCardObject

extends IrMCSyncObject

Field Summary
`protected ObjectConverterFactory` | `objectConverterFactory`
`protected local.tomas.vcard.VCard` | `vCard`

Constructor Summary
`protected` | `IrMCVCardObject(local.tomas.vcard.VCard vCard, ObjectConverterFactory objectConverterFactory)`

Method Summary
`protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldGetter` | `fieldGetter(local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.NameSplitter splitter)`
`protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldGetter` | `fieldGetter(java.lang.String name)`
`protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldSetter` | `fieldSetter(local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.NameSplitter splitter)`
`protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldSetter` | `fieldSetter(java.lang.String name)`
`
`<T> T`
` | `getAttribute(java.lang.String name, java.lang.Class<T> type)`
`protected
`<T> ObjectConverter<T>`
` | `getConverter(java.lang.Class<T> type)`
`java.sql.Timestamp` | `getLastModificationTime()`
`java.lang.String` | `getUID()`
`protected local.tomas.vcard.VCard` | `getVCard()`
`
`<T> void`
` | `setAttribute(java.lang.String name, T value, java.lang.Class<T> type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface local.tomas.mobile.sync.obj.SyncObject
`getName`

Field Detail

### vCard

    protected local.tomas.vcard.VCard vCard

### objectConverterFactory

    protected ObjectConverterFactory objectConverterFactory

Constructor Detail

### IrMCVCardObject

    protected IrMCVCardObject(local.tomas.vcard.VCard vCard,
                              ObjectConverterFactory objectConverterFactory)

Method Detail

### fieldGetter

    protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldGetter fieldGetter(java.lang.String name)

### fieldGetter

    protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldGetter fieldGetter(local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.NameSplitter splitter)

### fieldSetter

    protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldSetter fieldSetter(java.lang.String name)

### fieldSetter

    protected local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.FieldSetter fieldSetter(local.tomas.mobile.sync.obj.mobile.IrMCVCardObject.NameSplitter splitter)

### getConverter

    protected <T> ObjectConverter<T> getConverter(java.lang.Class<T> type)

### getAttribute

    public <T> T getAttribute(java.lang.String name,
                              java.lang.Class<T> type)

### setAttribute

    public <T> void setAttribute(java.lang.String name,
                                 T value,
                                 java.lang.Class<T> type)

### getUID

    public java.lang.String getUID()

### getLastModificationTime

    public java.sql.Timestamp getLastModificationTime()

### getVCard

    protected local.tomas.vcard.VCard getVCard()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.